package com.pwt.system.service;

import com.pwt.system.domain.PwtConfig;

import java.util.List;

/**
 * 系统配置Service接口
 *
 * @author linyun
 * @date 2022-11-21
 */
public interface IPwtConfigService {
    /**
     * 查询系统配置
     *
     * @param id 系统配置主键
     * @return 系统配置
     */
    public PwtConfig selectPwtConfigById(Long id);

    /**
     * 查询系统配置列表
     *
     * @param pwtConfig 系统配置
     * @return 系统配置集合
     */
    public List<PwtConfig> selectPwtConfigList(PwtConfig pwtConfig);


    /**
     * 修改系统配置
     *
     * @param pwtConfig 系统配置
     * @return 结果
     */
    public PwtConfig updatePwtConfig(PwtConfig pwtConfig);

    void changeAutoChangeWarehouse(Long id, boolean isAutoChangeWarehouse);

    /**
     * 获取当前是否允许自动换仓
     * @param id
     * @return
     */
    Boolean getIsAutoChangeWarehouse(Long id);

}
